# Generated from thepackager-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name thepackager

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Packaging tool
License: MIT
URL: https://github.com/flant/thepackager
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.1
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(pry) >= 0.10.3
# BuildRequires: rubygem(pry) < 1.0
# BuildRequires: rubygem(travis) >= 1.8
# BuildRequires: rubygem(travis) < 2
# BuildRequires: rubygem(travis) >= 1.8.2
BuildArch: noarch

%description
Packaging tool.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/thepackager
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Packagefile.example.1
%{gem_instdir}/Packagefile.example.2
%{gem_instdir}/bin
%{gem_instdir}/bootstrap.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/Vagrantfile
%{gem_instdir}/thepackager.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.1-1
- Initial package
